varying vec4 raycolor;
varying float keskusta;

void main(void)
{
	float t = keskusta;
	
	//ykkönen keskellä, nolla ulkona
	float fadeup = pow(cos(t * 3.141592 * 0.5), 1.0);
	float fadedown = pow(t, 1.0);
	
	vec3 centercolor = vec3(1.0, 1.0, 1.0);
	vec3 edgecolor = raycolor.xyz;
	
	vec3 finalcolor = mix(centercolor, edgecolor, pow(keskusta, 1.4));
	
	float a = fadeup * fadedown;	
	gl_FragColor = vec4(finalcolor, raycolor.a * a);
}
